QT       += core gui widgets

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

TARGET = TorneoMesa
TEMPLATE = app

SOURCES += \
    src/main.cpp \
    src/Jugador.cpp \
    src/Partida.cpp \
    src/Ronda.cpp \
    src/Torneo.cpp \
    src/TorneoFactory.cpp \
    src/MainWindow.cpp \
    src/DialogNuevoTorneo.cpp \
    src/DialogAgregarJugador.cpp \
    src/WidgetBracket.cpp \
    src/WidgetJugadores.cpp \
    src/WidgetResultados.cpp

HEADERS += \
    include/Jugador.h \
    include/Partida.h \
    include/Ronda.h \
    include/Torneo.h \
    include/TorneoFactory.h \
    include/MainWindow.h \
    include/DialogNuevoTorneo.h \
    include/DialogAgregarJugador.h \
    include/WidgetBracket.h \
    include/WidgetJugadores.h \
    include/WidgetResultados.h

INCLUDEPATH += include/

FORMS += \
    ui/MainWindow.ui \
    ui/DialogNuevoTorneo.ui \
    ui/DialogAgregarJugador.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
